Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2823 - quotacheck broken with EXT2_DIRECT set on 4k block fs
Summary: quotacheck broken with EXT2_DIRECT set on 4k block fs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: quota
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-14 16:24 UTC by mbeattie
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 23:28:48 UTC


Attachments (Terms of Use)

Description mbeattie 1999-05-14 16:24:34 UTC
Situation is an ext2 filesystem created with
    mke2fs -b 4096 -Rstride=16 /dev/md0
on a RAID5 block device (using Ingo Molnar's
raid0145-19981215-2.0.36 patch).

Running quotacheck on that filesystem fills in all
"amount used" fields with complete garbage: even
non-existent uids end up with huge random numbers in there.
Recompiling quotacheck from source without -DEXT2_DIRECT
set makes quotacheck work OK.

Presumably the "fast and direct" way using libext2fs fails
for filesystems which don't use the default settings
(either the 4k blocksize or the non-default stride, I would
guess, since the underlying RAID block device shouldn't
affect the fs structure). Either quotacheck has a bug in the
way that it uses libext2fs or libext2fs has a bug with
non-default fs options.

The workaround of turning off -DEXT2_DIRECT is OK for now
(since the number of files hasn't yet grown enough to make
the slow-but-sure file tree walk take too long). However,
there are a couple of 40GB filesystems involved so a proper
solution would be nice before they do fill up.

If the underlying bug can't be stomped easily then a
command line option to choose between direct/non-direct
would be OK (instead of it being a compile-time option).

Comment 1 Preston Brown 2001-02-01 22:55:36 UTC
this works fine in newer versions of the quota and kernel.


Note You need to log in before you can comment on or make changes to this bug.